Results 1 to 4 of 4

Thread: Starting Kylix 3 errors

  1. #1

    Default Starting Kylix 3 errors

    Hallo!I have installed Kylix 3 in my Opensuse 10.3 Linux OS.Unfortunately when I type the following command

    startdelphi

    to start the Kylix from the console,the following error appears

    /usr/local/kylix3/bin/delphi: relocation error: /usr/local/kylix3/bin/libwine.borland.so: symbol errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference

    How do I solve this problem?

  2. #2
    ab@novell.com NNTP User

    Default Re: Starting Kylix 3 errors

    -----BEGIN PGP SIGNED MESSAGE-----
    Hash: SHA1

    I would start by checking your current version of glibc and making sure
    it is what your software (kylix) wants you to have:

    rpm -q glibc
    or if that doesn't work:
    rpm -qa | grep libc

    My box, for example has 2.4-x which includes libc.so.6, but on my x86_64
    box that is in /usr/lib64. I also have 'glibc-32bit' which has the same
    file in /usr/lib, but if you are on a 64-bit box as well without that
    compatibility RPM perhaps you won't have the one kylix (if 32-bit)
    wants. Anyway, look for the file it's complaining about and report
    back, please.

    Good luck.





    4joey1 wrote:
    > Hallo!I have installed Kylix 3 in my Opensuse 10.3 Linux
    > OS.Unfortunately when I type the following command
    >
    > startdelphi
    >
    > to start the Kylix from the console,the following error appears
    >
    > /usr/local/kylix3/bin/delphi: relocation error:
    > /usr/local/kylix3/bin/libwine.borland.so: symbol errno, version
    > GLIBC_2.0 not defined in file libc.so.6 with link time reference
    >
    > How do I solve this problem?
    >
    >

    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v1.4.2 (GNU/Linux)
    Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

    iD8DBQFIt+b13s42bA80+9kRAqjiAJ9Uma27c/iHo6YzrDd6o0yzJ3be7wCfSzgI
    ggKbLg3uwe7ef3g+7ELGfe0=
    =q0cU
    -----END PGP SIGNATURE-----

  3. #3
    Join Date
    Jun 2008
    Location
    Canada
    Posts
    52

    Default Re: Starting Kylix 3 errors

    uhm Borland no longer supports kylix.

  4. #4

    Default Re: Starting Kylix 3 errors

    I've also purchased Kylix Pro (1, 3 and 3) and it really sucks that Borland/Codegear doesn't support Kylix further. :-( But you can grab a copy of SuSE 7.0 thru SuSE 7.3, install it into a virtual machine and install Kylix on that machine. Changes are great that Kylix runs very well on that VM!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •